This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 18933 - /usr/kerberos/bin/sclient crashes in initialization
/usr/kerberos/bin/sclient crashes in initialization
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: krb5 (Show other bugs)
7.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Wil Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-12 01:31 EDT by Tim Mann
Modified: 2007-03-26 23:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-12 01:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Mann 2000-10-12 01:31:51 EDT
The sample client sclient crashes during initialization. It also crashes
before trying to print an error message if authentication fails. It appears
to need the following patch.

I reported the first part of this bug and fix directly to MIT but forgot
the second part. Oops.

---
/vesta/src.dec.com/test2/kerbtest/checkout/1/17/src/sclient/sclient.c     
Wed Oct 11 19:57:23 2000
+++ sclient.c   Wed Oct 11 21:36:08 2000
@@ -77,6 +77,7 @@
        exit(1);
     }
 
+    memset(&context, 0, sizeof(context));
     retval = krb5_init_context(&context);
     if (retval) {
            com_err(argv[0], retval, "while initializing krb5");
@@ -176,7 +177,7 @@
     krb5_free_principal(context, server);      /* finished using it */
     krb5_free_principal(context, client);      
     krb5_cc_close(context, ccdef);
-    krb5_auth_con_free(context, auth_context);
+    if (auth_context) krb5_auth_con_free(context, auth_context);
 
     if (retval && retval != KRB5_SENDAUTH_REJECTED) {
        com_err(argv[0], retval, "while using sendauth");
Comment 1 Tim Mann 2000-10-12 01:37:56 EDT
p.s. I've now reported both parts of the bug to MIT.
Comment 2 Nalin Dahyabhai 2001-06-27 01:10:00 EDT
It appears this patch was folded into krb5 1.2.2.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.